> For the complete documentation index, see [llms.txt](https://developers.inevent.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.inevent.com/event-api/editing-events.md).

# Editing events

To edit event details, such as name, location, description, visibility and more, you must use the `event.edit` endpoint operation. Any edit will reflect the event pages right away and data that is not intrinsic to the event model can't be edited over here (like tools, forms, emails and others), they will be discussed on their own API model guide.

#### Keys allowed

```json
{
    "name": "event name",
    "nickname": "event url path",
    "email": "organization email",
    "description": "general description (summary of event) - accepts HTML content",
    "cover": "cover image url",
    "dateBegin": "begin date (timestamp)",
    "dateEnd": "end date (timestamp)",
    "enrollmentBegin": "timestamp from begin of enrollment",
    "enrollmentEnd": "timestamp from end of enrollment",
    "latitude": "latitude",
    "longitude": "longitude",
    "address": "address on google map",
    "fugleman": "organization name",
    "website": "website url",
    "accessCode": "event access code (in case it's private)",
    "facebook": "facebook page url",
    "twitter": "twitter profile url",
    "wireless": "wireless network information (wifi)",
    "visible": "visibility (boolean - 0 & 1)",
    "public": "privacy (boolean - 0 & 1)",
    "automaticEnrollment": "automatic enrollment (mobile app - boolean - 0 & 1)"
}
```

#### Example

This endpoint allows you to edit one field at a time and it expects the following query attributes: `tokenID`, `eventID` and `key` and the following body attribute: `value`. Please see the example below.

```sh
curl --request POST \
     --url 'https://api.inevent.com/?action=event.edit&tokenID=YOUR_TOKEN_HERE&eventID=YOUR_EVENT_ID&key=name' \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/x-www-form-urlencoded' \
     --data value=NewName!
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.inevent.com/event-api/editing-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
